Subject: Re: [Isis-wg] RtgDir review: draft-ietf-isis-node-admin-tag-08.txt

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 2 May 2016 10:04:18 -0400

Pushpasis,

Much appreciated, this is a really good improvement to the draft.

Cheers,
Andy

On Sat, Apr 30, 2016 at 5:07 AM, Pushpasis Sarkar <[email-masked]>
wrote:

> Hi Andy,
>
> I have uploaded version -09. Let me know if you have any other comments.
>
> Thanks and Regards,
> -Pushpasis
>
>
> On Wednesday 20 April 2016 11:00 PM, Andrew G. Malis wrote:
>
>> Hello,
>>
>> I have been selected as the Routing Directorate reviewer for this draft.
>> The Routing Directorate seeks to review all routing or routing-related
>> drafts as they pass through IETF last call and IESG review, and sometimes
>> on special request. The purpose of the review is to provide assistance to
>> the Routing ADs. For more information about the Routing Directorate, please
>> see ​ http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir
>>
>> Although these comments are primarily for the use of the Routing ADs, it
>> would be helpful if you could consider them along with any other IETF Last
>> Call comments that you receive, and strive to resolve them through
>> discussion or by updating the draft.
>>
>> Document: draft-ietf-isis-node-admin-tag-08.txt
>> Reviewer: Andy Malis
>> Review Date: April 20, 2016
>> IETF LC End Date: April 29, 2016
>> Intended Status: Standards Track
>>
>> Summary:
>>
>> I have some minor concerns about this document that I think should be
>> resolved before publication, if the AD agrees (see below for details).
>>
>> Comments and minor concerns:
>>
>> I have no technical concerns with this draft.
>>
>> I have noted the two comments in the AD review of this draft, and agree
>> with them.
>>
>> Given the similarity in functionality to RFC 7777 and the overlap in
>> authorship, I expected the draft to be more or less identical to the RFC,
>> except for the technical differences between OSPF and ISIS. However, there
>> are parts of the RFC that are editorially better (easier to read or
>> understand) than the equivalent text in the draft, starting with the title,
>> Abstract, and Introduction. In particular, the Introduction in the RFC
>> looks like the result of cleanup by the RFC Editor, but which still needs
>> to be done in the draft. Why not take advantage of the work already done by
>> the RFC Editor? Also, the Introduction in the draft doesn't include the
>> usual reference to RFC 2119 terms, which is in the RFC. The Abstract in the
>> RFC also includes more useful detail than the Abstract in the draft.
>>
>> As another example, these differences are also true in Section 4.1 of the
>> draft, when compared to the mostly equivalent Section 2.2.1 of the RFC. For
>> example, from an editorial standpoint there is a missing "The" in the first
>> line of the section, and there are other improvements as well. I also see
>> editorial corrections in Section 3 of the RFC when compared to Section 5 in
>> the draft.
>>
>> I would recommend an editorial pass where the text is compared with the
>> RFC, and when obvious, editorially improved to take advantage of work
>> already done. This will make the RFC Editor's job easier. Alternatively,
>> the AD could choose to include a note to the RFC Editor, noting the
>> similarity and asking the RFC Editor to take advantage of the work that
>> they already did for the RFC. However, having this done by the document
>> editor would take advantage of the editor's knowledge of when differences
>> between the two are deliberate.
>>
>> Thanks,
>> Andy
>>
>>
>